Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gdal.ogr
Interface ogrConstants

All Known Implementing Classes:
  ogr

    public interface ogrConstants

Field Summary
`static int` | `NullFID`
`static String` | `ODrCCreateDataSource`
`static String` | `ODrCDeleteDataSource`
`static String` | `ODsCCreateLayer`
`static String` | `ODsCDeleteLayer`
`static int` | `OFTBinary`
`static int` | `OFTDate`
`static int` | `OFTDateTime`
`static int` | `OFTInteger`
`static int` | `OFTIntegerList`
`static int` | `OFTReal`
`static int` | `OFTRealList`
`static int` | `OFTString`
`static int` | `OFTStringList`
`static int` | `OFTTime`
`static int` | `OFTWideString`
`static int` | `OFTWideStringList`
`static int` | `OGRERR_CORRUPT_DATA`
`static int` | `OGRERR_FAILURE`
`static int` | `OGRERR_NONE`
`static int` | `OGRERR_NOT_ENOUGH_DATA`
`static int` | `OGRERR_NOT_ENOUGH_MEMORY`
`static int` | `OGRERR_UNSUPPORTED_GEOMETRY_TYPE`
`static int` | `OGRERR_UNSUPPORTED_OPERATION`
`static int` | `OGRERR_UNSUPPORTED_SRS`
`static int` | `OJLeft`
`static int` | `OJRight`
`static int` | `OJUndefined`
`static String` | `OLCCreateField`
`static String` | `OLCDeleteFeature`
`static String` | `OLCFastFeatureCount`
`static String` | `OLCFastGetExtent`
`static String` | `OLCFastSetNextByIndex`
`static String` | `OLCFastSpatialFilter`
`static String` | `OLCIgnoreFields`
`static String` | `OLCRandomRead`
`static String` | `OLCRandomWrite`
`static String` | `OLCSequentialWrite`
`static String` | `OLCStringsAsUTF8`
`static String` | `OLCTransactions`
`static int` | `wkb25Bit` Deprecated. This is a typo. Use wkb25DBit instead.
`static int` | `wkb25DBit` Bit mask to indicate that a geometry type is of 2.5D kind.
`static int` | `wkbGeometryCollection` Geometric object that is a collection of 1 or more geometric objects, standard WKB
`static int` | `wkbGeometryCollection25D` 2.5D extension as per 99-402
`static int` | `wkbLinearRing` non-standard, just for Geometry() constructor
`static int` | `wkbLineString` 1-dimensional geometric object with linear interpolation between Points, standard WKB
`static int` | `wkbLineString25D` 2.5D extension as per 99-402
`static int` | `wkbMultiLineString` GeometryCollection of LineStrings, standard WKB
`static int` | `wkbMultiLineString25D` 2.5D extension as per 99-402
`static int` | `wkbMultiPoint` GeometryCollection of Points, standard WKB
`static int` | `wkbMultiPoint25D` 2.5D extension as per 99-402
`static int` | `wkbMultiPolygon` GeometryCollection of Polygons, standard WKB
`static int` | `wkbMultiPolygon25D` 2.5D extension as per 99-402
`static int` | `wkbNDR` LSB/Intel/Vax: Least Significant Byte First
`static int` | `wkbNone` non-standard, for pure attribute records
`static int` | `wkbPoint` 0-dimensional geometric object, standard WKB
`static int` | `wkbPoint25D` 2.5D extension as per 99-402
`static int` | `wkbPolygon` Planar 2-dimensional geometric object defined by 1 exterior boundary and 0 or more interior boundaries, standard WKB
`static int` | `wkbPolygon25D` 2.5D extension as per 99-402
`static int` | `wkbUnknown` Unknown type, non-standard
`static int` | `wkbXDR` MSB/Sun/Motoroloa: Most Significant Byte First

Field Detail

### wkb25DBit

    static final int wkb25DBit

  Bit mask to indicate that a geometry type is of 2.5D kind.

  Since:
    Java bindings 1.7.0
  See Also:
    Constant Field Values

### wkb25Bit

    static final int wkb25Bit

  Deprecated. This is a typo. Use wkb25DBit instead.
  See Also:
    Constant Field Values

### wkbUnknown

    static final int wkbUnknown

  Unknown type, non-standard

  See Also:
    Constant Field Values

### wkbPoint

    static final int wkbPoint

  0-dimensional geometric object, standard WKB

  See Also:
    Constant Field Values

### wkbLineString

    static final int wkbLineString

  1-dimensional geometric object with linear interpolation between Points, standard WKB

  See Also:
    Constant Field Values

### wkbPolygon

    static final int wkbPolygon

  Planar 2-dimensional geometric object defined by 1 exterior boundary and 0 or more interior boundaries, standard WKB

  See Also:
    Constant Field Values

### wkbMultiPoint

    static final int wkbMultiPoint

  GeometryCollection of Points, standard WKB

  See Also:
    Constant Field Values

### wkbMultiLineString

    static final int wkbMultiLineString

  GeometryCollection of LineStrings, standard WKB

  See Also:
    Constant Field Values

### wkbMultiPolygon

    static final int wkbMultiPolygon

  GeometryCollection of Polygons, standard WKB

  See Also:
    Constant Field Values

### wkbGeometryCollection

    static final int wkbGeometryCollection

  Geometric object that is a collection of 1 or more geometric objects, standard WKB

  See Also:
    Constant Field Values

### wkbNone

    static final int wkbNone

  non-standard, for pure attribute records

  See Also:
    Constant Field Values

### wkbLinearRing

    static final int wkbLinearRing

  non-standard, just for Geometry() constructor

  See Also:
    Constant Field Values

### wkbPoint25D

    static final int wkbPoint25D

  2.5D extension as per 99-402

  See Also:
    Constant Field Values

### wkbLineString25D

    static final int wkbLineString25D

  2.5D extension as per 99-402

  See Also:
    Constant Field Values

### wkbPolygon25D

    static final int wkbPolygon25D

  2.5D extension as per 99-402

  See Also:
    Constant Field Values

### wkbMultiPoint25D

    static final int wkbMultiPoint25D

  2.5D extension as per 99-402

  See Also:
    Constant Field Values

### wkbMultiLineString25D

    static final int wkbMultiLineString25D

  2.5D extension as per 99-402

  See Also:
    Constant Field Values

### wkbMultiPolygon25D

    static final int wkbMultiPolygon25D

  2.5D extension as per 99-402

  See Also:
    Constant Field Values

### wkbGeometryCollection25D

    static final int wkbGeometryCollection25D

  2.5D extension as per 99-402

  See Also:
    Constant Field Values

### OFTInteger

    static final int OFTInteger

See Also:
  Constant Field Values

### OFTIntegerList

    static final int OFTIntegerList

See Also:
  Constant Field Values

### OFTReal

    static final int OFTReal

See Also:
  Constant Field Values

### OFTRealList

    static final int OFTRealList

See Also:
  Constant Field Values

### OFTString

    static final int OFTString

See Also:
  Constant Field Values

### OFTStringList

    static final int OFTStringList

See Also:
  Constant Field Values

### OFTWideString

    static final int OFTWideString

See Also:
  Constant Field Values

### OFTWideStringList

    static final int OFTWideStringList

See Also:
  Constant Field Values

### OFTBinary

    static final int OFTBinary

See Also:
  Constant Field Values

### OFTDate

    static final int OFTDate

See Also:
  Constant Field Values

### OFTTime

    static final int OFTTime

See Also:
  Constant Field Values

### OFTDateTime

    static final int OFTDateTime

See Also:
  Constant Field Values

### OJUndefined

    static final int OJUndefined

See Also:
  Constant Field Values

### OJLeft

    static final int OJLeft

See Also:
  Constant Field Values

### OJRight

    static final int OJRight

See Also:
  Constant Field Values

### wkbXDR

    static final int wkbXDR

  MSB/Sun/Motoroloa: Most Significant Byte First

  See Also:
    Constant Field Values

### wkbNDR

    static final int wkbNDR

  LSB/Intel/Vax: Least Significant Byte First

  See Also:
    Constant Field Values

### NullFID

    static final int NullFID

See Also:
  Constant Field Values

### OLCRandomRead

    static final String OLCRandomRead

See Also:
  Constant Field Values

### OLCSequentialWrite

    static final String OLCSequentialWrite

See Also:
  Constant Field Values

### OLCRandomWrite

    static final String OLCRandomWrite

See Also:
  Constant Field Values

### OLCFastSpatialFilter

    static final String OLCFastSpatialFilter

See Also:
  Constant Field Values

### OLCFastFeatureCount

    static final String OLCFastFeatureCount

See Also:
  Constant Field Values

### OLCFastGetExtent

    static final String OLCFastGetExtent

See Also:
  Constant Field Values

### OLCCreateField

    static final String OLCCreateField

See Also:
  Constant Field Values

### OLCTransactions

    static final String OLCTransactions

See Also:
  Constant Field Values

### OLCDeleteFeature

    static final String OLCDeleteFeature

See Also:
  Constant Field Values

### OLCFastSetNextByIndex

    static final String OLCFastSetNextByIndex

See Also:
  Constant Field Values

### OLCStringsAsUTF8

    static final String OLCStringsAsUTF8

See Also:
  Constant Field Values

### OLCIgnoreFields

    static final String OLCIgnoreFields

See Also:
  Constant Field Values

### ODsCCreateLayer

    static final String ODsCCreateLayer

See Also:
  Constant Field Values

### ODsCDeleteLayer

    static final String ODsCDeleteLayer

See Also:
  Constant Field Values

### ODrCCreateDataSource

    static final String ODrCCreateDataSource

See Also:
  Constant Field Values

### ODrCDeleteDataSource

    static final String ODrCDeleteDataSource

See Also:
  Constant Field Values

### OGRERR_NONE

    static final int OGRERR_NONE

See Also:
  Constant Field Values

### OGRERR_NOT_ENOUGH_DATA

    static final int OGRERR_NOT_ENOUGH_DATA

See Also:
  Constant Field Values

### OGRERR_NOT_ENOUGH_MEMORY

    static final int OGRERR_NOT_ENOUGH_MEMORY

See Also:
  Constant Field Values

### OGRERR_UNSUPPORTED_GEOMETRY_TYPE

    static final int OGRERR_UNSUPPORTED_GEOMETRY_TYPE

See Also:
  Constant Field Values

### OGRERR_UNSUPPORTED_OPERATION

    static final int OGRERR_UNSUPPORTED_OPERATION

See Also:
  Constant Field Values

### OGRERR_CORRUPT_DATA

    static final int OGRERR_CORRUPT_DATA

See Also:
  Constant Field Values

### OGRERR_FAILURE

    static final int OGRERR_FAILURE

See Also:
  Constant Field Values

### OGRERR_UNSUPPORTED_SRS

    static final int OGRERR_UNSUPPORTED_SRS

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD